Bug 137984 - (VM)Kernel prefers swapping instead of releasing cache memory
(VM)Kernel prefers swapping instead of releasing cache memory
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-03 11:33 EST by William
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-03 16:19:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William 2004-11-03 11:33:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.3)

Description of problem:
Same behavior as noted in previous bug.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
I have tried the various echo statements and the system still prefers
swapping to releasing file cache.  The only positive workaround is to
disable the swap file completly.

Actual Results:  After Disabling swap the file cache will be evacuated
as processes require.

Additional info:
Comment 1 Ernie Petrides 2004-11-03 16:19:59 EST
We believe this has already been fixed in U4, which is in beta now.

*** This bug has been marked as a duplicate of 132155 ***
Comment 2 John Flanagan 2004-12-20 15:56:54 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.